package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderDetail;
import java.math.BigDecimal;

public class MusicGroupPaymentCalenderDetailDto extends MusicGroupPaymentCalenderDetail {
    //辅件
    private BigDecimal accessoriesAmount = BigDecimal.ZERO;
    //会员金额
    private BigDecimal cloudAmount = BigDecimal.ZERO;
    //乐器
    private BigDecimal musicalAmount = BigDecimal.ZERO;
    //乐保
    private BigDecimal maintenanceAmount = BigDecimal.ZERO;
    //活动
    private BigDecimal activityAmount = BigDecimal.ZERO;
    //课程
    private BigDecimal courseAmount = BigDecimal.ZERO;

    public BigDecimal getCourseAmount() {
        return courseAmount;
    }

    public void setCourseAmount(BigDecimal courseAmount) {
        this.courseAmount = courseAmount;
    }

    public BigDecimal getAccessoriesAmount() {
        return accessoriesAmount;
    }

    public void setAccessoriesAmount(BigDecimal accessoriesAmount) {
        this.accessoriesAmount = accessoriesAmount;
    }

    public BigDecimal getCloudAmount() {
        return cloudAmount;
    }

    public void setCloudAmount(BigDecimal cloudAmount) {
        this.cloudAmount = cloudAmount;
    }

    public BigDecimal getMusicalAmount() {
        return musicalAmount;
    }

    public void setMusicalAmount(BigDecimal musicalAmount) {
        this.musicalAmount = musicalAmount;
    }

    public BigDecimal getMaintenanceAmount() {
        return maintenanceAmount;
    }

    public void setMaintenanceAmount(BigDecimal maintenanceAmount) {
        this.maintenanceAmount = maintenanceAmount;
    }

    public BigDecimal getActivityAmount() {
        return activityAmount;
    }

    public void setActivityAmount(BigDecimal activityAmount) {
        this.activityAmount = activityAmount;
    }
}
